## k3b 2.0.3

=== k3bsetup/CMakeLists.txt ===
########### next target ###############

include_directories(
    ../libk3b/core/
)

set(kcm_k3bsetup_PART_SRCS
    k3bsetup.cpp
    k3bsetupdevicesmodel.cpp
    k3bsetupprogramitem.cpp
    k3bsetupprogramsmodel.cpp )

kde4_add_ui_files(kcm_k3bsetup_PART_SRCS base_k3bsetup.ui )

kde4_add_plugin(kcm_k3bsetup ${kcm_k3bsetup_PART_SRCS})

target_link_libraries(kcm_k3bsetup ${KDE4_KDEUI_LIBS} k3b k3bdevice )

install(TARGETS kcm_k3bsetup DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############
install( PROGRAMS  k3bsetup DESTINATION ${BIN_INSTALL_DIR} )
install( FILES  k3bsetup.desktop DESTINATION ${SERVICES_INSTALL_DIR} )


########### next target ###############
kde4_add_executable(k3bsetuphelper k3bsetupworker.cpp k3bsetupprogramitem.cpp)
target_link_libraries(k3bsetuphelper ${KDE4_KDECORE_LIBRARY})
install(TARGETS k3bsetuphelper DESTINATION ${LIBEXEC_INSTALL_DIR})

kde4_install_auth_helper_files(k3bsetuphelper org.kde.kcontrol.k3bsetup root)

kde4_install_auth_actions(org.kde.kcontrol.k3bsetup k3bsetup.actions)

=== kioslaves/CMakeLists.txt ===
include_directories(../libk3b/tools/ ../libk3b/ ../libk3b/core/)
add_subdirectory( videodvd )

=== plugins/CMakeLists.txt ===
add_subdirectory( decoder )
add_subdirectory( encoder )
add_subdirectory( project )

=== src/CMakeLists.txt ===
project(k3b_src)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${libk3b_BINARY_DIR}
  ${libk3b_SOURCE_DIR}/core
  ${libk3b_SOURCE_DIR}/plugin
  ${libk3b_SOURCE_DIR}/tools
  ${libk3b_SOURCE_DIR}/projects
  ${libk3b_SOURCE_DIR}/projects/audiocd
  ${libk3b_SOURCE_DIR}/projects/datacd
  ${libk3b_SOURCE_DIR}/projects/videocd
  ${libk3b_SOURCE_DIR}/projects/mixedcd
  ${libk3b_SOURCE_DIR}/projects/movixcd/
  ${libk3b_SOURCE_DIR}/projects/videodvd/
  ${libk3b_SOURCE_DIR}/jobs
  ${libk3b_SOURCE_DIR}/videodvd
  ${libk3b_BINARY_DIR}/core
  ${libk3b_BINARY_DIR}/plugin
  ${libk3b_BINARY_DIR}/tools
  ${libk3b_BINARY_DIR}/projects
  ${libk3b_BINARY_DIR}/jobs
  ${CMAKE_CURRENT_SOURCE_DIR}/projects
  ${CMAKE_CURRENT_SOURCE_DIR}/projects/kostore/
  ${libk3b_SOURCE_DIR}/cddb
  )

add_subdirectory( pics )
add_subdirectory( icons )
add_subdirectory( services )


########### next target ###############

set(k3b_project_SRCS
  projects/k3baudioburndialog.cpp 
  projects/k3baudiocdtextwidget.cpp 
  projects/k3baudioeditorwidget.cpp 
  projects/k3baudiotrackdialog.cpp 
  projects/k3baudiotrackwidget.cpp 
  #projects/k3baudiotrackplayer.cpp 
  projects/k3baudiotracksplitdialog.cpp 
  projects/k3baudiotrackview.cpp 
  projects/k3baudioview.cpp 
  projects/k3baudioviewimpl.cpp 
  projects/k3baudioprojectmodel.cpp 
  projects/k3bmixedburndialog.cpp 
  projects/k3bmixedview.cpp 
  projects/k3bmixedprojectmodel.cpp
  projects/k3bdataadvancedimagesettingsdialog.cpp 
  projects/k3bdatadirtreeview.cpp 
  projects/k3bdatafileview.cpp 
  projects/k3bdataimagesettingswidget.cpp 
  projects/k3bdatapropertiesdialog.cpp 
  projects/k3bdataview.cpp 
  projects/k3bdataviewimpl.cpp 
  projects/k3bdatavolumedescdialog.cpp 
  projects/k3bdataburndialog.cpp 
  projects/k3bdataprojectmodel.cpp
  projects/k3bbootimagedialog.cpp 
  projects/k3bbootimageview.cpp 
  projects/k3bmovixburndialog.cpp 
  projects/k3bmovixoptionswidget.cpp 
  projects/k3bmovixview.cpp 
  projects/k3bmovixprojectmodel.cpp
  projects/k3bvideodvdburndialog.cpp 
  projects/k3bvideodvdview.cpp 
  projects/k3bvcdburndialog.cpp 
  projects/k3bvcdtrackdialog.cpp 
  projects/k3bvcdview.cpp 
  projects/k3bvcdprojectmodel.cpp
  projects/k3bfillstatusdisplay.cpp 
  projects/k3bview.cpp 
  projects/k3bstandardview.cpp 
  projects/k3bdirproxymodel.cpp 
  projects/k3bprojectburndialog.cpp 
  projects/k3bprojectplugindialog.cpp 
  projects/k3bdatamultisessioncombobox.cpp 
  projects/k3bdataurladdingdialog.cpp 
  projects/k3baudiodatasourceeditwidget.cpp 
  projects/k3baudiotrackaddingdialog.cpp 
  projects/k3bencodingconverter.cpp 
  projects/k3bdatamultisessionimportdialog.cpp
  projects/k3bvolumenamewidget.cpp
  )

kde4_add_ui_files(k3b_project_SRCS
  projects/base_k3baudiocdtextwidget.ui
  projects/base_k3bbootimageview.ui
  projects/base_k3badvanceddataimagesettings.ui
  projects/base_k3baudiocdtextallfieldswidget.ui
  projects/base_k3bdataimagesettings.ui
  projects/base_k3bdatavolumedescwidget.ui
  projects/base_k3baudiotrackwidget.ui
  projects/base_k3bmovixoptionswidget.ui
  )

set(k3b_kostore_SRCS
  projects/kostore/KoStore.cpp
  projects/kostore/KoZipStore.cpp 
  projects/kostore/KoStoreBase.cpp
  )

set(k3b_rip_SRCS
  rip/k3baudioripjob.cpp
  rip/k3bpatternparser.cpp 
  rip/k3baudiorippingdialog.cpp 
  rip/k3baudiocdview.cpp 
  rip/k3bcddbpatternwidget.cpp 
  rip/k3bvideocdinfo.cpp 
  rip/k3bvideocdview.cpp 
  rip/k3bvideocdrip.cpp 
  rip/k3bvideocdrippingdialog.cpp 
  rip/k3bcuefilewriter.cpp 
  rip/k3baudioconvertingoptionwidget.cpp 
  rip/k3baudioprojectconvertingdialog.cpp 
  rip/k3baudioprojectconvertingjob.cpp 
  rip/categories.cpp
  rip/k3baudiotrackmodel.cpp
  rip/k3bviewcolumnadjuster.cpp
  )

kde4_add_ui_files(k3b_rip_SRCS
  rip/base_k3baudiorippingoptionwidget.ui
  rip/base_k3bcddbpatternwidget.ui
  )

set(k3b_option_SRCS
  option/k3bmiscoptiontab.cpp 
  option/k3bexternalbinoptiontab.cpp 
  option/k3badvancedoptiontab.cpp 
  option/k3boptiondialog.cpp 
  option/k3bdeviceoptiontab.cpp 
  option/k3bnotifyoptiontab.cpp 
  option/k3bpluginoptiontab.cpp 
  option/k3bthemeoptiontab.cpp 
  option/k3bdevicewidget.cpp 
  option/k3bexternalbinwidget.cpp
  option/k3bcddboptiontab.cpp
  )

kde4_add_ui_files(k3b_option_SRCS
  option/base_k3bthemeoptiontab.ui
  option/base_k3bmiscoptiontab.ui
  option/base_k3bpluginoptiontab.ui
  )

set(k3b_misc_SRCS
  misc/k3bimagewritingdialog.cpp 
  misc/k3bmediacopydialog.cpp 
  misc/k3bmediaformattingdialog.cpp
  )

set(k3b_SRCS
  k3bwelcomewidget.cpp 
  k3bapplication.cpp 
  k3bdevicedelegate.cpp
  k3bmediumdelegate.cpp
  k3bmetaitemmodel.cpp
  k3bplacesmodel.cpp
  k3bdiroperator.cpp 
  k3bfiletreeview.cpp 
  k3bprojecttabwidget.cpp 
  k3bsplash.cpp 
  k3bfileview.cpp 
  k3bdirview.cpp 
  k3b.cpp 
  main.cpp 
  k3bstatusbarmanager.cpp 
  k3burlnavigator.cpp
  #k3binterface.cpp 
  #k3bjobinterface.cpp 
  #k3bprojectinterface.cpp 
  #k3bdataprojectinterface.cpp 
  k3bsystemproblemdialog.cpp 
  k3bmediacontentsview.cpp 
  k3bcontentsview.cpp 
  k3bjobprogressdialog.cpp 
  k3bburnprogressdialog.cpp 
  k3btempdirselectionwidget.cpp 
  k3bdatamodewidget.cpp 
  k3bwritingmodewidget.cpp 
  k3bwriterselectionwidget.cpp 
  k3binteractiondialog.cpp 
  k3bthememanager.cpp 
  k3bprojectmanager.cpp 
  #k3baudioprojectinterface.cpp 
  #k3bmixedprojectinterface.cpp 
  k3bflatbutton.cpp 
  k3bemptydiscwaiter.cpp 
  k3bjobprogressosd.cpp 
  k3bdebuggingoutputcache.cpp 
  k3bdebuggingoutputdialog.cpp 
  k3bdebuggingoutputfile.cpp 
  k3bappdevicemanager.cpp 
  k3bmediaselectioncombobox.cpp 
  k3bwidgetshoweffect.cpp 
  k3bmediaselectiondialog.cpp 
  k3bdiskinfoview.cpp 
  k3bpassivepopup.cpp 
  k3btimeoutwidget.cpp 
  k3bminibutton.cpp 
  k3bthemedheader.cpp 
  k3bthemedlabel.cpp 
  k3blsofwrapper.cpp 
  k3blsofwrapperdialog.cpp 
  k3baction.cpp
  k3bdevicemenu.cpp
  )

set(k3b_bin_SRCS 
  ${k3b_option_SRCS}
  ${k3b_misc_SRCS}
  ${k3b_project_SRCS}
  ${k3b_kostore_SRCS}
  ${k3b_rip_SRCS}
  ${k3b_SRCS}
)

if(ENABLE_DVD_RIPPING)
  set(k3b_videodvd_SRCS
    rip/videodvd/k3bvideodvdrippingview.cpp 
    rip/videodvd/k3bvideodvdrippingjob.cpp 
    rip/videodvd/k3bvideodvdrippingwidget.cpp 
    rip/videodvd/k3bvideodvdrippingdialog.cpp 
    rip/videodvd/k3bvideodvdrippingpreview.cpp
    rip/videodvd/k3bvideodvdtitledelegate.cpp
    rip/videodvd/k3bvideodvdtitlemodel.cpp
    )

  kde4_add_ui_files(k3b_videodvd_SRCS
    rip/videodvd/base_k3bvideodvdrippingwidget.ui)

  set(k3b_bin_SRCS
    ${k3b_bin_SRCS}
    ${k3b_videodvd_SRCS}
    )
endif(ENABLE_DVD_RIPPING)

if(ENABLE_MUSICBRAINZ)
  set(k3b_SRCS
    ${k3b_SRCS}
    k3btrm.cpp 
    k3bmusicbrainz.cpp 
    )
  set(k3b_project_SRCS
    ${k3b_project_SRCS}
    projects/k3bmusicbrainzjob.cpp 
    projects/k3bmusicbrainztrackloopupjob.cpp 
    projects/k3baudiotracktrmlookupdialog.cpp 
    )
endif(ENABLE_MUSICBRAINZ)

#kde4_add_dcop_skels(k3b_SRCS );
MESSAGE(STATUS "DCOP stuff was remove into kde4, convert it to dbus please.kde4_add_dcop_skels macro doesn't exist now. We keep it just to remember to port to dbus")

#k3binterface.h 
#k3bjobinterface.h 
#k3bprojectinterface.h 
#k3bdataprojectinterface.h 
#k3baudioprojectinterface.h 
#k3bmixedprojectinterface.h )

kde4_add_app_icon(k3b_bin_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-k3b.png)

if (MSVC)
    # msvc creates importlibs by default also for executables when symbols are exported.
    # Because the output name of the executable is the same as one of the used library (k3b)  creating 
    # the importlibrary fails with LINK : fatal error LNK1149: output filename matches input filename
    # we worked around this issue by using a different name for the unused import library created by the linker
    string(REPLACE "/implib:<TARGET_IMPLIB>" "/implib:<TARGET_IMPLIB>_" CMAKE_CXX_LINK_EXECUTABLE ${CMAKE_CXX_LINK_EXECUTABLE})
endif (MSVC)

kde4_add_executable(k3b_bin ${k3b_bin_SRCS})

set_target_properties(k3b_bin PROPERTIES OUTPUT_NAME k3b)

target_link_libraries(k3b_bin
  k3bdevice
  k3b
  ${KCDDB_LIBRARIES}
  ${KDE4_KFILE_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KPARTS_LIBS}
  ${KDE4_KNOTIFYCONFIG_LIBS}
  ${KDE4_KUTILS_LIBS}
  ${KDE4_KDE3SUPPORT_LIBS}
  ${KDE4_SOLID_LIBS}
  ${QT_QTWEBKIT_LIBRARY}
  ${X11_LIBRARIES}
  )

if(ENABLE_MUSICBRAINZ)
  target_link_libraries(k3b_bin ${MUSICBRAINZ_LIBRARIES})
endif(ENABLE_MUSICBRAINZ)

install(TARGETS k3b_bin ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES  k3b.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
#install( FILES  k3b-iso.desktop k3b-cue.desktop DESTINATION ${APPLNK_INSTALL_DIR}/.hidden/ )
install( FILES  k3bui.rc k3bdeviceui.rc k3b.notifyrc tips DESTINATION ${DATA_INSTALL_DIR}/k3b )

set( SHARED_MIME_INFO_MINIMUM_VERSION "0.23" )
find_package( SharedMimeInfo REQUIRED )
install( FILES x-k3b.xml DESTINATION ${XDG_MIME_INSTALL_DIR} )
update_xdg_mimetypes( ${XDG_MIME_INSTALL_DIR} )

=== doc/de/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/de SUBDIR k3b )

=== doc/en_US/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR k3b )

=== doc/et/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/et SUBDIR k3b )

=== doc/it/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it SUBDIR k3b )

=== doc/nl/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/nl SUBDIR k3b )

=== doc/uk/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR k3b )

=== po/be/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(be ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hi/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(hi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
k3b (2.0.3-0ubuntu5) xenial; urgency=medium

  * debian/patches/cmake-duplicate-doc.diff:
    - Fix FTBFS

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Mar 2016 12:35:36 +1300

k3b (2.0.3-0ubuntu4) xenial; urgency=medium

  * debian/patches/audio_video_categories.diff:
    - Add to the Audio and Video categories (LP: #1558346)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Mar 2016 11:57:02 +1300

k3b (2.0.3-0ubuntu3) wily; urgency=medium

  * No-change rebuild against libflac++6v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 20:41:46 +0000

k3b (2.0.3-0ubuntu2) vivid; urgency=medium

  * Update headers in kubuntu_02_kubuntu_restricted.diff
  * Fix K3B -> K3b typo in kubuntu_02_kubuntu_restricted.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Apr 2015 18:30:09 +0200

k3b (2.0.3-0ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Suggest, not recommend libk3b6-extracodecs (Cannot be on the CD)
    - Do not install unused scalable icons to save space
    - Keep kubuntu_02_kubuntu_restricted.diff
    - Keep kubuntu_03_no_missing_mp3_warn.diff
    - Keep kubuntu_01_no_system_settings.diff
    - Keep kubuntu_07_quicklists.diff
    - Disable 111_advice_debian_libk3b3-extracodes.diff and
      112_dont_require_mp3.diff which aren't required due to our mp3 patches.
  * New upstream release. 
    - Remove patches applied upstream:
      Fixed_compilation_with_new_FFMPEG.patch
      114_bug587996_bdr_capacity_fix.diff
      k3bsetup-put-the-shebang-in-the-first-line.patch
      fix-sox-detection-with-sox-14.4.0.patch
      Fix-K3B-to-build-with-recent-FFMPEG-versions.patch
      Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch
    - Remove patches that do not apply:
      k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch
      This was rewritten using switch case and this patch
      could not be applied in any way, if it is even required anymore.
      ffmpeg-more.diff
      Code was rewritten upstream and this patch could not be applied in
      any way.
    - Recreated kubuntu_05_no_system_settings.diff (could not get it
      to apply) as kubuntu_01_no_system_settings.diff and
      included DEP3 headers.
    - Added DEP3 Headers for the remain kubuntu_* patches.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 06 Nov 2014 03:17:08 +0000

k3b (2.0.2-8) unstable; urgency=medium

  * Team upload.
  * Add udisks2 to depends (Closes: #730130)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Oct 2014 10:26:36 -0400

k3b (2.0.2-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable the FFmpeg plugin (Closes: #739312)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 13 May 2014 07:18:52 -0400

k3b (2.0.2-7ubuntu2) utopic; urgency=medium

  * Add -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF to fix compile LP: #1332591

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jun 2014 18:04:34 +0100

=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
 kdelibs5-dev (>= 4:4.4.4), libavformat-dev, libdvdread-dev, libflac++-dev,
 libflac-dev, libkcddb-dev, libmad0-dev, libmpcdec-dev,
 libqtwebkit-dev, libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
 shared-mime-info, libvorbis-dev, libcam-dev [kfreebsd-any],
 libmp3lame-dev
Standards-Version: 3.9.4
Homepage: http://www.k3b.org
X-Vcs-Debian-Svn: svn://svn.debian.org/pkg-kde/kde-extras/k3b/trunk/
X-Vcs-Debian-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/k3b/trunk/

Package: k3b
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
 wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
Recommends: dvd+rw-tools, vcdimager, growisofs, libk3b6-extracodecs
Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
 kde-config-cddb,
 libk3b6-extracodecs
Replaces: k3b-data (<< 1.66.0~alpha2-1)
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Replaces: k3b-data (<< 1.70.0~beta1)
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all 
Depends: ${misc:Depends}, k3b
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libk3b6 (= ${binary:Version})
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b6-extracodecs
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-dbg
Section: debug
Architecture: any
Priority: extra
Depends: k3b (= ${binary:Version}), ${misc:Depends}
Description: Sophisticated CD/DVD burning application - debugging symbols
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the debugging symbols associated with k3b. They will
 automatically be used by gdb for debugging k3b-related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# packages to compress as xz
pkgs_xz := k3b-data k3b-i18n

%:
	dh $@ --parallel --dbg-package=k3b-dbg --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF

override_dh_builddeb:
	dh_builddeb $(addprefix -p,$(pkgs_xz)) -- -Zxz
	dh_builddeb --remaining-packages

.PHONY: override_dh_auto_test

## k3b 2.0.3a

=== doc/CMakeLists.txt ===
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(ca)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(et)
add_subdirectory(en_US)
add_subdirectory(nl)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(pt_BR)

=== libk3b/CMakeLists.txt ===
project(libk3b)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/core
  ${CMAKE_CURRENT_BINARY_DIR}/plugin
  ${CMAKE_CURRENT_BINARY_DIR}/tools
  ${CMAKE_CURRENT_BINARY_DIR}/projects
  ${CMAKE_CURRENT_BINARY_DIR}/jobs
  )

set(CMAKE_REQUIRED_LIBRARIES m)
CHECK_FUNCTION_EXISTS(lrint HAVE_LRINT)
CHECK_FUNCTION_EXISTS(lrintf HAVE_LRINTF)

configure_file(config-libk3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-libk3b.h )

add_subdirectory( core )
add_subdirectory( plugin )
add_subdirectory( tools )
add_subdirectory( projects )
add_subdirectory( jobs )

set(k3b_jobs_SRCS
  jobs/k3bdatatrackreader.cpp 
  jobs/k3breadcdreader.cpp 
  jobs/k3bcdcopyjob.cpp 
  jobs/k3bclonejob.cpp 
  jobs/k3baudiosessionreadingjob.cpp 
  jobs/k3bdvdcopyjob.cpp 
  jobs/k3baudiofileanalyzerjob.cpp
  jobs/k3baudiocuefilewritingjob.cpp 
  jobs/k3bbinimagewritingjob.cpp 
  jobs/k3biso9660imagewritingjob.cpp 
  jobs/k3bdvdformattingjob.cpp 
  jobs/k3bblankingjob.cpp 
  jobs/k3bclonetocreader.cpp 
  jobs/k3bverificationjob.cpp 
  jobs/k3bdvdbooktypejob.cpp
  jobs/k3bmetawriter.cpp
)

########### next target ###############
if(ENABLE_DVD_RIPPING)
  add_subdirectory(videodvd)
  set(k3b_jobs_SRCS
    ${k3b_jobs_SRCS}
    jobs/k3bvideodvdtitletranscodingjob.cpp
    jobs/k3bvideodvdtitledetectclippingjob.cpp
    )
endif(ENABLE_DVD_RIPPING)

set(k3b_core_SRCS 
  core/k3bcore.cpp 
  core/k3bglobals.cpp 
  core/k3bdefaultexternalprograms.cpp
  core/k3bexternalbinmanager.cpp 
  core/k3bversion.cpp 
  core/k3bjob.cpp 
  core/k3bthread.cpp 
  core/k3bthreadjob.cpp 
  core/k3bglobalsettings.cpp 
  core/k3bsimplejobhandler.cpp 
  core/k3bthreadjobcommunicationevent.cpp)


set(k3b_tools_SRCS
  tools/k3bwavefilewriter.cpp tools/k3bbusywidget.cpp tools/k3bdeviceselectiondialog.cpp 
  tools/k3bmd5job.cpp tools/k3btitlelabel.cpp
  tools/k3bstringutils.cpp tools/k3bdevicecombobox.cpp 
  tools/k3bstdguiitems.cpp tools/k3bvalidators.cpp tools/k3bthroughputestimator.cpp 
  tools/k3biso9660.cpp tools/k3bmultichoicedialog.cpp tools/k3bdevicehandler.cpp 
  tools/k3bcdparanoialib.cpp tools/k3blistview.cpp tools/k3bmsfedit.cpp 
  tools/k3bcdtextvalidator.cpp tools/k3bintvalidator.cpp tools/k3bexceptions.cpp 
  tools/k3bprogressdialog.cpp tools/k3bpushbutton.cpp 
  tools/k3blistviewitemanimator.cpp tools/k3bthreadwidget.cpp
  tools/k3bsignalwaiter.cpp tools/k3blibdvdcss.cpp tools/k3biso9660backend.cpp 
  tools/k3bchecksumpipe.cpp 
  tools/k3bintmapcombobox.cpp tools/k3bdirsizejob.cpp tools/k3brichtextlabel.cpp 
  tools/k3bactivepipe.cpp tools/k3bfilesplitter.cpp 
  tools/k3bfilesysteminfo.cpp
  tools/k3bdevicemodel.cpp
  tools/k3bmedium.cpp
  tools/k3bmediacache.cpp 
  tools/k3bcddb.cpp
  tools/k3bprocess.cpp 
  tools/qprocess/k3bqprocess.cpp
  tools/qprocess/k3bkprocess.cpp
  )
  
if(WIN32)
	list(APPEND k3b_tools_SRCS 
		tools/qprocess/k3bqprocess_win.cpp
		tools/qprocess/private/qwineventnotifier_p.cpp
		tools/qprocess/private/qfsfileengine_win.cpp
		tools/qprocess/private/qfsfileengine.cpp
		tools/qprocess/private/qfsfileengine_iterator.cpp
		tools/qprocess/private/qfsfileengine_iterator_win.cpp
)
else(WIN32)
  	list(APPEND k3b_tools_SRCS 
		tools/qprocess/k3bqprocess_unix.cpp
	)
endif(WIN32)
  
set(k3b_libisofs_SRCS tools/libisofs/isofs.cpp)

set(k3b_videodvd_SRCS 
  videodvd/k3bvideodvd.cpp
  videodvd/k3bvideodvdtime.cpp
  videodvd/k3bvideodvdvideostream.cpp)

set(k3b_plugin_SRCS
  plugin/k3bplugin.cpp 
  plugin/k3bpluginconfigwidget.cpp 
  plugin/k3bpluginmanager.cpp 
  plugin/k3baudiodecoder.cpp 
  plugin/k3baudioencoder.cpp 
  plugin/k3bprojectplugin.cpp
  )

set(k3b_project_SRCS
  projects/k3babstractwriter.cpp 
  projects/k3bgrowisofswriter.cpp 
  projects/k3bgrowisofshandler.cpp 
  projects/k3bdoc.cpp 
  projects/k3bcdrdaowriter.cpp 
  projects/k3bcdrecordwriter.cpp 
  projects/k3binffilewriter.cpp 
  projects/k3btocfilewriter.cpp 
  projects/k3bimagefilereader.cpp 
  projects/k3bcuefileparser.cpp )

set(k3b_project_audiocd_SRCS
  projects/audiocd/k3baudiojob.cpp 
  projects/audiocd/k3baudiotrack.cpp 
  projects/audiocd/k3baudiodoc.cpp 
  projects/audiocd/k3baudiofile.cpp 
  projects/audiocd/k3baudiozerodata.cpp 
  projects/audiocd/k3baudiodatasource.cpp 
  projects/audiocd/k3brawaudiodatasource.cpp 
  projects/audiocd/k3baudionormalizejob.cpp 
  projects/audiocd/k3baudiojobtempdata.cpp 
  projects/audiocd/k3baudioimager.cpp 
  projects/audiocd/k3baudiomaxspeedjob.cpp 
  projects/audiocd/k3baudiocdtracksource.cpp 
  projects/audiocd/k3baudiocdtrackdrag.cpp 
  projects/audiocd/k3baudiodatasourceiterator.cpp
  )

set(k3b_project_datacd
  projects/datacd/k3bdatajob.cpp 
  projects/datacd/k3bdatadoc.cpp 
  projects/datacd/k3bdataitem.cpp 
  projects/datacd/k3bdiritem.cpp 
  projects/datacd/k3bfileitem.cpp 
  projects/datacd/k3bisoimager.cpp 
  projects/datacd/k3bbootitem.cpp 
  projects/datacd/k3bisooptions.cpp 
  projects/datacd/k3bfilecompilationsizehandler.cpp 
  projects/datacd/k3bsessionimportitem.cpp 
  projects/datacd/k3bmkisofshandler.cpp 
  projects/datacd/k3bdatapreparationjob.cpp 
  projects/datacd/k3bmsinfofetcher.cpp 
  projects/datacd/k3bdatamultisessionparameterjob.cpp
  )

set(k3b_project_mixedcd
  projects/mixedcd/k3bmixeddoc.cpp
  projects/mixedcd/k3bmixedjob.cpp
  )

set(k3b_project_movixcd
  projects/movixcd/k3bmovixprogram.cpp 
  projects/movixcd/k3bmovixdoc.cpp 
  projects/movixcd/k3bmovixjob.cpp 
  projects/movixcd/k3bmovixfileitem.cpp 
  projects/movixcd/k3bmovixdocpreparer.cpp
  )

set(k3b_project_videocd
  projects/videocd/k3bvcddoc.cpp 
  projects/videocd/k3bvcdtrack.cpp 
  projects/videocd/k3bvcdjob.cpp 
  projects/videocd/k3bvcdoptions.cpp 
  projects/videocd/k3bvcdxmlview.cpp
  )

set(k3b_project_mpeg_info
  projects/videocd/mpeginfo/k3bmpeginfo.cpp
  )

set(k3b_project_videodvd
  projects/videodvd/k3bvideodvddoc.cpp 
  projects/videodvd/k3bvideodvdjob.cpp 
  projects/videodvd/k3bvideodvdimager.cpp
  )


set(k3b_LIB_SRCS 
  ${k3b_core_SRCS} 
  ${k3b_tools_SRCS} 
  ${k3b_plugin_SRCS}
  ${k3b_project_SRCS} 
  ${k3b_jobs_SRCS} 
  ${k3b_libisofs_SRCS}
  ${k3b_project_audiocd_SRCS} 
  ${k3b_project_datacd} 
  ${k3b_project_mixedcd}
  ${k3b_project_movixcd} 
  ${k3b_project_mpeg_info}
  ${k3b_project_videocd}
  ${k3b_project_videodvd}
  )

if (ENABLE_DVD_RIPPING)
  set(k3b_LIB_SRCS ${k3b_LIB_SRCS}
    ${k3b_videodvd_SRCS}
    )
endif (ENABLE_DVD_RIPPING)

kde4_add_library(k3b SHARED ${k3b_LIB_SRCS})

target_link_libraries(k3b
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KUTILS_LIBS}
  ${KDE4_SOLID_LIBS}
  ${KDE4_KDE3SUPPORT_LIBS}
  ${KDE4_KPTY_LIBS}
  ${KCDDB_LIBRARIES}
  ${SAMPLERATE_LIBRARIES}
  k3bdevice
)
if(NOT WIN32)
	target_link_libraries(k3b dl)
else(NOT WIN32)
	target_link_libraries(k3b uuid ole32)
endif(NOT WIN32)
  
if(ENABLE_DVD_RIPPING)
  target_link_libraries(k3b ${DVDREAD_LIBRARIES})
endif(ENABLE_DVD_RIPPING)

set_target_properties(k3b PROPERTIES OUTPUT_NAME k3blib)

set_target_properties(k3b PROPERTIES VERSION ${K3B_LIB_VERSION_MAJOR}.${K3B_LIB_VERSION_MINOR}.${K3B_LIB_VERSION_RELEASE} SOVERSION ${K3B_LIB_VERSION_MAJOR})
install(TARGETS k3b ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(it)
add_subdirectory(lt)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(fr)
add_subdirectory(ga)
add_subdirectory(eu)
add_subdirectory(ja)
add_subdirectory(pa)
add_subdirectory(nb)
add_subdirectory(sr)
add_subdirectory(mr)
add_subdirectory(se)
add_subdirectory(ast)
add_subdirectory(nn)
add_subdirectory(he)
add_subdirectory(cs)
add_subdirectory(en_GB)
add_subdirectory(sk)
add_subdirectory(mai)
add_subdirectory(csb)
add_subdirectory(ko)
add_subdirectory(pl)
add_subdirectory(tr)
add_subdirectory(ro)
add_subdirectory(el)
add_subdirectory(ku)
add_subdirectory(nds)
add_subdirectory(bg)
add_subdirectory(ug)
add_subdirectory(zh_TW)
add_subdirectory(sv)
add_subdirectory(ca)
add_subdirectory(be)
add_subdirectory(es)
add_subdirectory(gl)
add_subdirectory(hr)
add_subdirectory(hu)
add_subdirectory(eo)
add_subdirectory(th)
add_subdirectory(kk)
add_subdirectory(pt)
add_subdirectory(ca@valencia)
add_subdirectory(sr@ijekavian)
add_subdirectory(hne)
add_subdirectory(oc)
add_subdirectory(fi)
add_subdirectory(et)
add_subdirectory(bs)
add_subdirectory(km)
add_subdirectory(is)
add_subdirectory(sr@latin)
add_subdirectory(nl)
add_subdirectory(lv)
add_subdirectory(sl)
add_subdirectory(ms)
add_subdirectory(ru)
add_subdirectory(da)
add_subdirectory(zh_CN)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(hi)
add_subdirectory(pt_BR)

=== doc/es/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/es SUBDIR k3b )

=== doc/fr/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/fr SUBDIR k3b )

=== doc/pt/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt SUBDIR k3b )

=== libk3b/tools/CMakeLists.txt ===

install( FILES
  k3bwavefilewriter.h
  k3bbusywidget.h
  k3bdeviceselectiondialog.h
  k3bmd5job.h
  k3bstringutils.h
  k3bdevicecombobox.h
  k3bstdguiitems.h
  k3bvalidators.h
  k3bthroughputestimator.h
  k3biso9660.h
  k3bmultichoicedialog.h
  k3bdevicehandler.h
  k3bcdparanoialib.h
  k3blistview.h
  k3bmsfedit.h
  k3bcdtextvalidator.h
  k3bintvalidator.h
  k3bexceptions.h
  k3bprogressdialog.h
  k3bpushbutton.h
  k3blistviewitemanimator.h
  k3bthreadwidget.h
  k3bsignalwaiter.h
  k3biso9660backend.h
  k3bdirsizejob.h
  k3bchecksumpipe.h
  k3bintmapcombobox.h
  k3brichtextlabel.h
  k3bactivepipe.h
  k3bfilesplitter.h
  k3bfilesysteminfo.h
  k3bmedium.h
  k3bmediacache.h
  k3bcddb.h
  k3bprocess.h
  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== plugins/decoder/ogg/CMakeLists.txt ===
########### next target ###############

set(k3boggvorbisdecoder_PART_SRCS k3boggvorbisdecoder.cpp )

kde4_add_plugin(k3boggvorbisdecoder ${k3boggvorbisdecoder_PART_SRCS})

target_link_libraries(k3boggvorbisdecoder k3bdevice ${KDE4_KDECORE_LIBS}
${OGGVORBIS_LIBRARIES} k3b)

install(TARGETS k3boggvorbisdecoder DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  k3boggvorbisdecoder.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== libk3b/projects/videocd/extra/CMakeLists.txt ===
install( FILES  k3bphotovcd.mpg k3bphotosvcd.mpg DESTINATION ${DATA_INSTALL_DIR}/k3b/extra )

=== debian/changelog ===
k3b (2.0.3a-2) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmap, since k3b already provides a .desktop file.
  * Backport upstream commit 840121f0c0ecb5c1fc6324653b795fb7cba60deb to fix
    build with FFmpeg 2.9 and greater; patch
    upstream_Fixed-compilation-on-newer-ffmpeg-libav.patch (Closes: #807853)
  * Fix typos in README.Debian.
  * Update Vcs-Browser field.
  * Backport upstream commit d5b1016e6a4c1dfcf681ce33ea9ffdd0dd5daf24 to fix
    build with GCC 6; patch
    upstream_Fix-build-failure-when-compiling-with-GCC-5.patch
    (Closes: #811735)
  * With this upload, k3b should hopefully be back in testing.
    (Closes: #825440)
  * Remove k3b-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 17 Jul 2016 10:34:46 +0200

k3b (2.0.3a-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #778736)
  * Update the patches:
    - Fixed_compilation_with_new_FFMPEG.patch: drop, backported from upstream
    - 103_kdepotpath.diff: drop, unapplied and no more needed since the KDE 4
      porting
    - 113_initial_preference.diff: refresh
    - 114_bug587996_bdr_capacity_fix.diff: drop, fixed upstream
    - k3bscsicommand_bsd-Do-not-access-the-scsi_sense_data.patch: drop,
      backported from upstream
    - k3bsetup-put-the-shebang-in-the-first-line.patch: drop, backported from
      upstream
    - fix-sox-detection-with-sox-14.4.0.patch: drop, backported from upstream
    - Fix-K3B-to-build-with-recent-FFMPEG-versions.patch: drop, backported from
      upstream
    - ffmpeg-more.diff: drop, fixed upstream
    - Prefer-growisofs-to-wodim-for-DVD-BluRay-burning.patch: drop, backported
      from upstream
  * Fix build, avoid adding the same subdirectory twice; patch
    cmake-duplicate-doc.diff.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Re-enable the FFmpeg plugin, as it builds fine again:
    - install k3bffmpegdecoder.desktop in k3b-data
    - install k3bffmpegdecoder.so in libk3b6-extracodecs
    - stop passing -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF as cmake argument in
      rules
  * Install all the translated documentations in k3b-i18n.
  * Update watch file.
  * Remove the custom dh_builddeb handling in rules, as now the default
    compression is xz.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Dec 2015 13:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: k3b
 Section: utils
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Michael Meskes <meskes@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), libavformat-dev, libdvdread-dev, libflac++-dev,
@@ -10,20 +9,19 @@
  libqtwebkit-dev, libsamplerate0-dev, libsndfile1-dev, libtag1-dev,
  shared-mime-info, libvorbis-dev, libcam-dev [kfreebsd-any],
  libmp3lame-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://www.k3b.org
-X-Vcs-Debian-Svn: svn://svn.debian.org/pkg-kde/kde-extras/k3b/trunk/
-X-Vcs-Debian-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/k3b/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/k3b/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/k3b/trunk/
 
 Package: k3b
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  k3b-data (= ${source:Version}), libk3b6 (= ${binary:Version}),
  wodim | cdrskin, cdparanoia, cdrdao [linux-any], genisoimage, udisks2 [linux-any]
-Recommends: dvd+rw-tools, vcdimager, growisofs, libk3b6-extracodecs
+Recommends: libk3b6-extracodecs, dvd+rw-tools, vcdimager, growisofs
 Suggests: k3b-extrathemes, k3b-i18n, normalize-audio, sox, movixmaker-2,
- kde-config-cddb,
- libk3b6-extracodecs
+ kde-config-cddb
 Replaces: k3b-data (<< 1.66.0~alpha2-1)
 Description: Sophisticated CD/DVD burning application
  K3b provides a comfortable user interface to perform most CD/DVD burning
@@ -102,17 +100,3 @@
  and the reasonable k3b defaults which allow a quick start.
  .
  This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.
-
-Package: k3b-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends: k3b (= ${binary:Version}), ${misc:Depends}
-Description: Sophisticated CD/DVD burning application - debugging symbols
- K3b provides a comfortable user interface to perform most CD/DVD burning
- tasks. While the experienced user can take influence in all steps
- of the burning process the beginner may find comfort in the automatic settings
- and the reasonable k3b defaults which allow a quick start.
- .
- This package contains the debugging symbols associated with k3b. They will
- automatically be used by gdb for debugging k3b-related issues.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF

override_dh_strip:
	dh_strip --dbgsym-migration='k3b-dbg (<< 2.0.3a-2~)'

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/k3b/k3b-(.+)\.tar\.xz

## k3b 2.0.3a+git20170325

=== debian/changelog ===
k3b (2.0.3a+git20170325-0ubuntu2) zesty; urgency=medium

  * Make sure that wodim (for /usr/bin/cdrecord) is installed as
    dependency, as this still seems to be needed for 'on-the-fly' burning.
    New better support for cdrskin is not enough. (LP: #1680711)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Apr 2017 10:19:43 +0100

k3b (2.0.3a+git20170325-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot - minor bugfixes, and translation updates in
    appstream data and desktop files.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 03 Apr 2017 19:33:53 +0100

k3b (2.0.3a+git20170320-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot - now fixes from stable branch.
  * Remove now optional qt5webkit build depend. Better display of disk
    info as a result.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Mar 2017 15:36:45 +0000

k3b (2.0.3a+git20170318-0ubuntu1) zesty; urgency=medium

  * New upstream snapshot - bugfixes only.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Mar 2017 17:20:40 +0000

k3b (2.0.3a+git20170215-0ubuntu2) zesty; urgency=medium

  * Update kubuntu_07_quicklists.diff patch to fix quicklists in plasma
    & unity

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Mar 2017 17:28:55 +0000

k3b (2.0.3a+git20170215-0ubuntu1) zesty; urgency=medium

  [ Clive Johnston ]
  * Port packaging to KF5, with help from KDE Neon
    - Thanks JR :)
  * Add runtime dep on cdrskin

  [ Rik Mills ]
  * Initial preparation for KF5 port: disable old patches from KDE4 version.
  * Update and re-enable patches:
    - 101_rename_normalize.diff: so the renamed ubuntu normalize-audio
      binary can be found.
    - 110_disable_no_problems_found_popup.diff: update for KF5.
  * Drop obsolete patches:
    - 113_initial_preference.diff: Now applied upstream to desktop files
    - cmake-duplicate-doc.diff: No longer needed after upstream KF5 port
  * New upstream snapshot - port to KDE Frameworks 5 (KF5) & pre-release
    of upcoming version to be included in KDE Applications 17.04.

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 16 Feb 2017 10:04:27 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# packages to compress as xz
pkgs_xz := k3b-data k3b-i18n

%:
	dh $@ --parallel --list-missing --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DK3B_ENABLE_HAL_SUPPORT=OFF -DK3B_BUILD_FFMPEG_DECODER_PLUGIN=OFF

override_dh_builddeb:
	dh_builddeb $(addprefix -p,$(pkgs_xz)) -- -Zxz
	dh_builddeb --remaining-packages

.PHONY: override_dh_auto_test

## k3b 17.04.0

=== debian/changelog ===
k3b (17.04.0-0ubuntu1) zesty; urgency=medium

  * New upstream release (17.04.0) 
    - Restores translations missed from previous snapshot, but included
      in the release tarball (LP: #1683125)
    - Upstream commits from previous git snapshot (2.0.3a+git20170325)
      are 2 bumps of the application version in cmake, 2 additions 
      of appstream data translations and change to an as yet unused test. 

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Apr 2017 15:56:12 +0100

=== debian/control ===
Source: k3b
Section: utils
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Michael Meskes <meskes@debian.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               cmake-data,
               debhelper (>= 9),
               extra-cmake-modules,
               libavformat-dev,
               libcam-dev [kfreebsd-any],
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkf5archive-dev,
               libkf5cddb-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kcmutils-dev,
               libkf5kio-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmusicbrainz5-dev,
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.9.0),
               qtbase5-dev,
               shared-mime-info
Standards-Version: 3.9.8
Homepage: http://www.k3b.org
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         cdrskin,
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b7 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvd+rw-tools, growisofs, libk3b7-extracodecs, vcdimager
Suggests: k3b-extrathemes,
          k3b-i18n,
          kde-config-cddb,
          movixmaker-2,
          normalize-audio,
          sox
Description: Sophisticated CD/DVD burning application
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.

Package: k3b-data
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: k3b, ${misc:Depends}
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b7
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b7-extracodecs
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

## k3b 17.08.0

=== debian/changelog ===
k3b (17.08.0-0ubuntu1) artful; urgency=medium

  * New upstream release (17.08.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 22 Aug 2017 11:54:18 +0100

k3b (17.04.3-0ubuntu2) artful; urgency=medium

  * Don't suggest movixmaker-2. Has not existed in the archive since trusty

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Aug 2017 15:37:46 +0100

k3b (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:04 +0100

k3b (17.03.80-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream beta release (17.03.80)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 31 Mar 2017 21:00:21 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev,
-               libkf5cddb-dev,
+               libkf5cddb-dev (>= 4:17.04.3~),
                libkf5config-dev,
                libkf5coreaddons-dev,
                libkf5doctools-dev,
@@ -65,7 +65,6 @@
 Suggests: k3b-extrathemes,
           k3b-i18n,
           kde-config-cddb,
-          movixmaker-2,
           normalize-audio,
           sox
 Description: Sophisticated CD/DVD burning application
